<template>
	<div class="p-5 box-border w-full bg-obsidian-transparent lg-mid:mb-14">
		<div class="w-full mx-auto">
			<p class="font-bold">{{ title }}</p>
			<hr class="my-5" />
			<div class="flex sm:flex-wrap">
				<div
					class="text-center rounded
						m-1 w-10 h-10 box-border
						font-bold p-2 rounded
						bg-shades-orange-light
					"
					v-for="num in numbers"
					:key="num"
					data-test="number"
				>
					{{ num }}
				</div>
			</div>
		</div>
	</div>
</template>

<script>
export default {
	name: "QueuesComplete",
	props: {
		title: String,
		numbers: Array,
	},
};
</script>

<style>
</style>